View Issue Details

IDProjectCategoryView StatusLast Update
16705Bug reportsSurvey editingpublic2020-12-23 11:23
Reportermcalvera Assigned Tocdorin  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.3.16 
Fixed in Version4.4.0-RC1 
Summary16705: Not create new question once copy an existing one
DescriptionTo create a new question based on a existing one we copy and duplicate the existing question. Once it is saved, the copied version it doesn't appear and only changes the question code of the main one (the one that exists).
Steps To ReproduceSteps:

- Click "question editor"
- Click "copy" button
- Change question code to one that doesn't exist
- Click on "Save"
- Check if there is a new question or if the existing question code is modified

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.3.16+200915
I will donate to the project if issue is resolvedNo
BrowserGoogle chrome
Database & DB-VersionMariaDB 10.0.38
Server OS (if known)Ubuntu 16.04
Webserver software & version (if known)nginx 1.17.3
PHP VersionPHP-FPM 7.4.6

Activities

cdorin

cdorin

2020-10-02 12:44

manager   ~60048

Acknowledged - we will check it once more after we revert to the old copy view from LS3.
Thx for report!
cdorin

cdorin

2020-12-23 11:23

manager   ~61077

Fixed in 4.4.0 RC1

Issue History

Date Modified Username Field Change
2020-09-29 16:40 mcalvera New Issue
2020-10-02 12:44 cdorin Assigned To => cdorin
2020-10-02 12:44 cdorin Status new => acknowledged
2020-10-02 12:44 cdorin Note Added: 60048
2020-12-23 11:23 cdorin Status acknowledged => closed
2020-12-23 11:23 cdorin Resolution open => fixed
2020-12-23 11:23 cdorin Fixed in Version => 4.4.0-RC1
2020-12-23 11:23 cdorin Note Added: 61077